## libtemplates-parser 11.10

=== Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

VERSION	= 11.10.1

DEBUG        = false
TP_TASKING   = Standard_Tasking
PROCESSORS   = 0
HOST	     = $(shell gcc -dumpmachine)
TARGET	     = $(shell gcc -dumpmachine)
prefix	     = $(dir $(shell which gnatls))..
DEFAULT_LIBRARY_TYPE	= static

ENABLE_STATIC = true
ENABLE_SHARED =$(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
			-Pconfig/setup/test_shared 2>/dev/null && echo "true")

ifeq ($(shell gnat ls -Pxmlada 2>&1 | grep 'project file .* not found'),)
TP_XMLADA    = Installed
else
TP_XMLADA    = Disabled
endif

-include makefile.setup

ifeq ($(HOST), $(TARGET))
IS_CROSS	= false
GPROPTS		=
TPREFIX=$(DESTDIR)$(prefix)
else
IS_CROSS	= true
GPROPTS		= --target=$(TARGET)
TPREFIX=$(DESTDIR)$(prefix)/$(TARGET)
endif

MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
SDIR		= $(TARGET)/$(MODE)

GNAT		= gnat
GPRBUILD	= gprbuild
GPRINSTALL	= gprinstall
GPRCLEAN	= gprclean

#  Install directories

ifeq (${OS}, Windows_NT)
EXEEXT	= .exe
else
EXEEXT	=
endif

#  Compute the default library kind, and possibly the other that are to
#  be built.

ifeq ($(DEFAULT_LIBRARY_TYPE),static)
ifneq ($(ENABLE_STATIC),true)
$(error static not enabled, cannot be the default)
else
ifeq ($(ENABLE_SHARED),true)
OTHER_LIBRARY_TYPE	= relocatable
endif
endif

else
ifneq ($(ENABLE_SHARED),true)
$(error shared not enabled, cannot be the default)
else
ifeq ($(ENABLE_STATIC),true)
OTHER_LIBRARY_TYPE	= static
endif
endif
endif

ifeq ($(DEBUG), true)
PRJ_BUILD=Debug
else
PRJ_BUILD=Release
endif

ifeq ($(TP_XMLADA),)
TP_XMLADA=Disabled
endif

ALL_OPTIONS = INCLUDES="$(INCLUDES)" PRJ_BUILD="$(PRJ_BUILD)" SDIR="$(SDIR)" \
		TP_XMLADA="$(TP_XMLADA)" GNAT="$(GNAT)" \
		PRJ_BUILD="$(PRJ_BUILD)" TARGET="$(TARGET)" \
		DEFAULT_LIBRARY_TYPE="$(DEFAULT_LIBRARY_TYPE)" \
		ENABLE_SHARED="$(ENABLE_SHARED)" \
		ENABLE_STATIC="$(ENABLE_STATIC)" \
		GPRBUILD="$(GPRBUILD)" GPRCLEAN="$(GPRCLEAN)"

GPROPTS += -XPRJ_BUILD=$(PRJ_BUILD) -XTP_XMLADA=$(TP_XMLADA) \
		-XPROCESSORS=$(PROCESSORS) -XTARGET=$(TARGET) \
		-XVERSION=$(VERSION)

GPR_DEFAULT = -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XXMLADA_BUILD=$(DEFAULT_LIBRARY_TYPE)
GPR_OTHER   = -XLIBRARY_TYPE=$(OTHER_LIBRARY_TYPE) \
		-XXMLADA_BUILD=$(OTHER_LIBRARY_TYPE)

#######################################################################
#  build

build: tp_xmlada.gpr
	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptemplates_parser
ifneq ($(OTHER_LIBRARY_TYPE),)
	$(GPRBUILD) -p $(GPROPTS) $(GPR_OTHER) \
		--subdirs=$(SDIR)/$(OTHER_LIBRARY_TYPE) -Ptemplates_parser
endif
	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptools/tools

run_regtests test: build
	$(MAKE) -C regtests $(ALL_OPTIONS) test

build-doc:
	$(MAKE) -C docs html latexpdf
	echo Templates_Parser Documentation built with success.

#######################################################################
#  setup

tp_xmlada.gpr: setup

setup:
ifeq ($(TP_XMLADA), Installed)
	cp config/tp_xmlada_installed.gpr tp_xmlada.gpr
else
	cp config/tp_xmlada_dummy.gpr tp_xmlada.gpr
endif
	echo "prefix=$(prefix)" > makefile.setup
	echo "DEFAULT_LIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE)" >> makefile.setup
	echo "ENABLE_STATIC=$(ENABLE_STATIC)" >> makefile.setup
	echo "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
	echo "DEBUG=$(DEBUG)" >> makefile.setup
	echo "PROCESSORS=$(PROCESSORS)" >> makefile.setup
	echo "TP_XMLADA=$(TP_XMLADA)" >> makefile.setup
	echo "TARGET=$(TARGET)" >> makefile.setup

#######################################################################
#  install

install-clean:
ifneq (,$(wildcard $(TPREFIX)/share/gpr/manifests/templates_parser))
	-$(GPRINSTALL) $(GPROPTS) --uninstall \
		--prefix=$(TPREFIX) templates_parser
endif

install: install-clean
	$(GPRINSTALL) $(GPROPTS) -p -f $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) \
		--prefix=$(TPREFIX) -Ptemplates_parser
ifneq ($(OTHER_LIBRARY_TYPE),)
	$(GPRINSTALL) $(GPROPTS) -p -f $(GPR_OTHER) \
		--prefix=$(TPREFIX) --build-name=$(OTHER_LIBRARY_TYPE) \
		--subdirs=$(SDIR)/$(OTHER_LIBRARY_TYPE) -Ptemplates_parser
endif
	$(GPRINSTALL) $(GPROPTS) -p -f $(GPR_DEFAULT) \
		--prefix=$(TPREFIX) --mode=usage \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) \
		--install-name=templates_parser -Ptools/tools

#######################################################################
#  clean

clean:
	-$(GPRCLEAN) $(GPR_DEFAULT) $(GPROPTS) -Ptemplates_parser
	-$(GPRCLEAN) $(GPR_DEFAULT) $(GPROPTS) -Ptools/tools
ifneq ($(OTHER_LIBRARY_TYPE),)
	-$(GPRCLEAN) $(GPR_OTHER) $(GPROPTS) -Ptemplates_parser
endif
	-$(MAKE) -C docs clean $(ALL_OPTIONS)
	-$(MAKE) -C regtests clean $(ALL_OPTIONS)
	rm -fr .build makefile.setup
	rm -f config/setup/foo.ali config/setup/foo.o tp_xmlada.gpr

=== docs/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

# Makefile for Sphinx documentation
#

GNATMAKE = gnat make
GNATCLEAN = gnat clean

ADBFILES  = demo.adb user1.adb user2.adb table.adb table_section.adb \
	    table_if.adb matrix.adb table_inline.adb if_inline.adb macro.adb

EXEFILES  = $(ADBFILES:.adb=)
RESFILES  = $(ADBFILES:=.res)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	rm -f *.pyc

%.adb.res: src/%.adb
	( cd build/bin; \
	./`basename $@ .adb.res` > ../samples/`basename $<.res` )

build-sample:
	mkdir -p build/obj build/bin build/samples
	$(GNATMAKE) -p -m -Pdocs $(EXEFILES)
	cp src/*.tmplt build/bin

setup: build-sample $(RESFILES)
	$(GNATCLEAN) -q -Pdocs

html: setup
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Templates_Parser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Templates_Parser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Templates_Parser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Templates_Parser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf \
		LATEXOPTS="-interaction=nonstopmode"
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== regtests/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

-include ../makefile.setup

MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
SDIR		= $(TARGET)/$(MODE)

build:
	$(GPRBUILD) -q -p -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XTARGET=$(TARGET) -XPRJ_BUILD=$(PRJ_BUILD) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests

test:  build
	PATH=.:${PATH} ./testsuite.py --jobs=4

clean:
	-$(GPRCLEAN) -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XTARGET=$(TARGET) -XPRJ_BUILD=$(PRJ_BUILD) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests

=== debian/changelog ===
libtemplates-parser (11.10-4) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830367.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:27:43 +0200

libtemplates-parser (11.10-3) unstable; urgency=medium

  * Require gprbuild linking with -lgnat6 instead of -lgnat-5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 27 Apr 2016 02:35:49 +0200

libtemplates-parser (11.10-2) unstable; urgency=medium

  * Build with gnat-6 and xmlada6, upload to unstable.
  * Enable all hardening flags, but PIE because we build a shared library.
    Put LDFLAGS before libraries in linker options.
  * Do not freeze clock for docs: pdflatex is being patched, and faketime
    triggers a recompilation of the library.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Move sphinx-common to Build-Depends-Indep.
  * tests: do not assume gnatmake supports GNAT projects.
  * Standards-Versions: 3.9.8 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Apr 2016 09:39:53 +0200

libtemplates-parser (11.10-1) experimental; urgency=medium

  * New upstream. Build with gprbuild, gnat 5 and xmlada 6.
  * Per Ada policy, rename lib/-dev packages and remove Conflict/Replace.
  * Author grants GCC Runtime Library and GNAT generics exceptions to GPL-3+.
    Drop Monotone repositories, get-orig-source target and header patches.
    Add a real watch file, downloading head of git branches used for releases.
  * Sort patches to minimize fuzz during next refresh.
    optimize-templates_parser.adb-as-other-sources fixes an upstream bug.
    explicit-that-build-doc-target-requires-tp_shared.diff: forwarded fix.
    xmlada-split.diff: handle XMLAda split in modules.
    no-need-for-gprclean.diff: avoid an infinite gprclean loop.
  * (style) Merge two ada_libraries settings into a single debhelper override.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 04 Apr 2016 15:20:54 +0200

=== debian/control ===
Source: libtemplates-parser
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
# dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
 gnat, gnat-6,
# gnat-v provides /usr/share/ada/debian_packaging-v.mk
 gprbuild (>= 2015-2),
# gprbuild compatible with gnat-6
 dh-ada-library (>= 6.7),
# dh-ada-library 6.7 knows that -dbg packages are obsolete,
# See xsrc/templates_parser-xml.adb.
 libxmlada-unicode6-dev,
 libxmlada-input-sources6-dev,
 libxmlada-sax6-dev,
 libxmlada-dom6-dev
Build-Depends-Indep: texinfo,
 python-sphinx,
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-generic-extra,
 texlive-latex-extra,
 texlive-latex-recommended
# sphinx-common provides dh_sphinxdoc
 ,sphinx-common
Standards-Version: 3.9.8
Homepage: http://libre.adacore.com
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser

# Should start with "AdaCore_Major.AdaCore_Minor.".
Package: libtemplates-parser11.10.1-dev
Architecture: any
Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
# No need to Depend: libxmlada*-dev
# because the generated project does not need to import "xmlada.gpr"
# because XMLada is only used by a body in templates-parser.
Recommends: libtemplates-parser-doc
Description: Ada library to parse files and replace variables
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the static libraries, documentation, tools and Ada
 specification files.

# Should start with "AdaCore_Major.AdaCore_Minor.".
Package: libtemplates-parser11.10.1
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library to parse files and replace variables (runtime)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the runtime shared library.

Package: libtemplates-parser-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: Ada library to parse files and replace variables (documentation)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the documentation for developers using the library.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Templates_Parser in Debian.
# Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2016 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
# PIE should only affect the static library.
include /usr/share/dpkg/default.mk
# gnat-4.9 provides /usr/share/ada/debian_packaging.mk
# gnat-5 provides /usr/share/ada/debian_packaging-5.mk
include /usr/share/ada/debian_packaging*.mk

SOVERSION := $(shell sed --quiet -r 's/^Package: $(DEB_SOURCE)([0-9.]+)$$/\1/p' debian/control)

# Some of these options are stored into makefile.setup, but not all.
MAKE_OPTS := \
  VERSION=$(SOVERSION) \
  HOST=$(DEB_HOST_GNU_TYPE) \
  TARGET=$(DEB_TARGET_GNU_TYPE) \
  prefix=/usr \
  DEFAULT_LIBRARY_TYPE=relocatable \
  ENABLE_SHARED=true \
  TP_XMLADA=Installed \
  GPRBUILD="gprbuild $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
  DOC_FORMATS="html info latexpdf text"

######################################################################
POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
  build-indep clean
.PHONY: $(POLICY_TARGETS)
$(POLICY_TARGETS):
	dh $@ --with ada-library

# Avoid DebHelper default calls to usual Make targets.
.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test install clean)

override_dh_auto_build-arch:
	$(MAKE) $(MAKE_OPTS)

override_dh_auto_build-indep:
	$(MAKE) build-doc $(MAKE_OPTS) SPHINXOPTS=-j$(BUILDER_JOBS)

override_dh_auto_clean::
 # Avoid complaining about non existing dirs.
	mkdir -p .build/bin .build/lib .build/obj .build/tobj
	$(MAKE) setup clean $(MAKE_OPTS)

######################################################################
.PHONY: override_dh_ada_library-indep
.PHONY: override_dh_ada_library-arch
override_dh_ada_library-arch:
 # There is no --subdirs option for dh_ada_library.
	mv .build/lib/*/release/relocatable/* .build/lib
	mv .build/obj/*/release/relocatable/* .build/obj
 # NOTE:
 # xmlada_*.gpr are not imported directly by upstream build project, so
 # - ada:Depends for the -dev package will not contain libxmlada*-dev.
 # - the generated project will not contain with "xmlada_*.gpr".
 # This is OK as long as XMLAda is only used in bodies and not in specs.
	dh_ada_library \
	  PRJ_BUILD=Release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
	  templates_parser.gpr

# Mimic 'dh --with sphinxdoc', but without adding sphinx-common to
# Build-Depends for arch-only builds.
.PHONY: override_dh_installdocs-indep
override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libtemplates-parser-doc --exclude=examples/templates.tads
	dh_compress --remaining-packages

=== debian/watch ===
# This script detects new x.y releases, but not x.y.z branch updates.
# See README.source.

version=4
opts=\
  downloadurlmangle=\
    s/tree/archive/;\
    s/$/.zip/ \
https://github.com/AdaCore/templates-parser/branches/all \
/AdaCore/templates-parser/tree/release-(\d+(?:\.\d+)*)

## libtemplates-parser 17.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2015, AdaCore                     #
+#                     Copyright (C) 2003-2017, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -18,7 +18,7 @@
 
 .SILENT:
 
-VERSION	= 11.10.1
+VERSION	= 17.2
 
 DEBUG        = false
 TP_TASKING   = Standard_Tasking
@@ -29,7 +29,7 @@
 DEFAULT_LIBRARY_TYPE	= static
 
 ENABLE_STATIC = true
-ENABLE_SHARED =$(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
+ENABLE_SHARED = $(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
 			-Pconfig/setup/test_shared 2>/dev/null && echo "true")
 
 ifeq ($(shell gnat ls -Pxmlada 2>&1 | grep 'project file .* not found'),)
@@ -98,17 +98,25 @@
 TP_XMLADA=Disabled
 endif
 
-ALL_OPTIONS = INCLUDES="$(INCLUDES)" PRJ_BUILD="$(PRJ_BUILD)" SDIR="$(SDIR)" \
-		TP_XMLADA="$(TP_XMLADA)" GNAT="$(GNAT)" \
-		PRJ_BUILD="$(PRJ_BUILD)" TARGET="$(TARGET)" \
-		DEFAULT_LIBRARY_TYPE="$(DEFAULT_LIBRARY_TYPE)" \
-		ENABLE_SHARED="$(ENABLE_SHARED)" \
-		ENABLE_STATIC="$(ENABLE_STATIC)" \
-		GPRBUILD="$(GPRBUILD)" GPRCLEAN="$(GPRCLEAN)"
+ALL_OPTIONS := \
+ DEBUG \
+ DEFAULT_LIBRARY_TYPE \
+ ENABLE_SHARED \
+ ENABLE_STATIC \
+ GNAT \
+ GPRBUILD \
+ GPRCLEAN \
+ PRJ_BUILD \
+ PROCESSORS \
+ SDIR \
+ TARGET \
+ TP_XMLADA \
+ VERSION \
+ prefix
 
-GPROPTS += -XPRJ_BUILD=$(PRJ_BUILD) -XTP_XMLADA=$(TP_XMLADA) \
-		-XPROCESSORS=$(PROCESSORS) -XTARGET=$(TARGET) \
-		-XVERSION=$(VERSION)
+GPROPTS += $(foreach v, \
+ PRJ_BUILD TP_XMLADA PROCESSORS TARGET VERSION \
+ ,"-X$(v)=$($(v))")
 
 GPR_DEFAULT = -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
 		-XXMLADA_BUILD=$(DEFAULT_LIBRARY_TYPE)
@@ -118,7 +126,7 @@
 #######################################################################
 #  build
 
-build: tp_xmlada.gpr
+build: tp_xmlada.gpr makefile.setup
 	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
 		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptemplates_parser
 ifneq ($(OTHER_LIBRARY_TYPE),)
@@ -128,32 +136,30 @@
 	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
 		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptools/tools
 
-run_regtests test: build
-	$(MAKE) -C regtests $(ALL_OPTIONS) test
+run_regtests test: build makefile.setup
+	$(MAKE) -C regtests test
 
-build-doc:
-	$(MAKE) -C docs html latexpdf
+DOC_FORMATS := html latexpdf
+build-doc: tp_xmlada.gpr makefile.setup
+	$(MAKE) -C docs $(DOC_FORMATS)
 	echo Templates_Parser Documentation built with success.
 
 #######################################################################
 #  setup
 
-tp_xmlada.gpr: setup
-
-setup:
+tp_xmlada.gpr:
 ifeq ($(TP_XMLADA), Installed)
 	cp config/tp_xmlada_installed.gpr tp_xmlada.gpr
 else
 	cp config/tp_xmlada_dummy.gpr tp_xmlada.gpr
 endif
-	echo "prefix=$(prefix)" > makefile.setup
-	echo "DEFAULT_LIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE)" >> makefile.setup
-	echo "ENABLE_STATIC=$(ENABLE_STATIC)" >> makefile.setup
-	echo "ENABLE_SHARED=$(ENABLE_SHARED)" >> makefile.setup
-	echo "DEBUG=$(DEBUG)" >> makefile.setup
-	echo "PROCESSORS=$(PROCESSORS)" >> makefile.setup
-	echo "TP_XMLADA=$(TP_XMLADA)" >> makefile.setup
-	echo "TARGET=$(TARGET)" >> makefile.setup
+
+force:
+
+makefile.setup: setup
+
+setup: tp_xmlada.gpr force
+	printf " $(foreach v,$(ALL_OPTIONS),$(v) = $($(v))\n)" > makefile.setup
 
 #######################################################################
 #  install
@@ -187,7 +193,7 @@
 ifneq ($(OTHER_LIBRARY_TYPE),)
 	-$(GPRCLEAN) $(GPR_OTHER) $(GPROPTS) -Ptemplates_parser
 endif
-	-$(MAKE) -C docs clean $(ALL_OPTIONS)
-	-$(MAKE) -C regtests clean $(ALL_OPTIONS)
+	-$(MAKE) -C docs clean
+	-$(MAKE) -C regtests clean
 	rm -fr .build makefile.setup
 	rm -f config/setup/foo.ali config/setup/foo.o tp_xmlada.gpr

=== docs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2015, AdaCore                     #
+#                     Copyright (C) 2003-2016, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -19,14 +19,21 @@
 # Makefile for Sphinx documentation
 #
 
-GNATMAKE = gnat make
-GNATCLEAN = gnat clean
-
-ADBFILES  = demo.adb user1.adb user2.adb table.adb table_section.adb \
-	    table_if.adb matrix.adb table_inline.adb if_inline.adb macro.adb
-
-EXEFILES  = $(ADBFILES:.adb=)
-RESFILES  = $(ADBFILES:=.res)
+# default value if this Makefile is called directly on not from above
+# Makefile.
+
+GPRBUILD  := gprbuild
+PRJ_BUILD := Release
+
+-include ../makefile.setup
+
+TMPLDIR  := src
+ADBDIR   := src
+EXEDIR   := build/bin/$(SDIR)/static
+RESDIR   := build/samples
+ADBFILES := $(wildcard $(ADBDIR)/*.adb)
+EXEFILES := $(patsubst $(ADBDIR)/%.adb,%,$(ADBFILES))
+RESFILES := $(foreach e,$(EXEFILES),$(RESDIR)/$(e).adb.res)
 
 # You can set these variables from the command line.
 SPHINXOPTS    =
@@ -69,19 +76,24 @@
 	-rm -rf $(BUILDDIR)
 	rm -f *.pyc
 
-%.adb.res: src/%.adb
-	( cd build/bin; \
-	./`basename $@ .adb.res` > ../samples/`basename $<.res` )
-
+# All documentations require the generated examples.
+html dirhtml singlehtml pickle json htmlhelp qthelp latex latexpdf text man texinfo info: $(RESFILES)
+
+$(RESFILES): $(RESDIR)/%.adb.res: build-sample | $(RESDIR)
+	( cd $(TMPLDIR) && ../$(EXEDIR)/$* ) > $@
+
+$(RESDIR):
+	mkdir $@
+
+.PHONY: build-sample
 build-sample:
-	mkdir -p build/obj build/bin build/samples
-	$(GNATMAKE) -p -m -Pdocs $(EXEFILES)
-	cp src/*.tmplt build/bin
-
-setup: build-sample $(RESFILES)
-	$(GNATCLEAN) -q -Pdocs
-
-html: setup
+	$(GPRBUILD) -p -m -Pdocs $(EXEFILES) \
+	  --subdirs=$(SDIR)/static \
+	  $(foreach v,PRJ_BUILD TARGET VERSION,"-X$(v)=$($(v))")
+
+# Executable and result will be removed with BUILDDIR.
+
+html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

=== regtests/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2015, AdaCore                     #
+#                     Copyright (C) 2003-2016, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -20,18 +20,15 @@
 
 -include ../makefile.setup
 
-MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
-SDIR		= $(TARGET)/$(MODE)
-
 build:
 	$(GPRBUILD) -q -p -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
-		-XTARGET=$(TARGET) -XPRJ_BUILD=$(PRJ_BUILD) \
+		$(foreach v,PRJ_BUILD TARGET VERSION,"-X$(v)=$($(v))") \
 		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests
 
 test:  build
-	PATH=.:${PATH} ./testsuite.py --jobs=4
+	PRJ_BUILD="$(PRJ_BUILD)" PATH=.:${PATH} ./testsuite.py --jobs=4
 
 clean:
 	-$(GPRCLEAN) -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
-		-XTARGET=$(TARGET) -XPRJ_BUILD=$(PRJ_BUILD) \
+		$(foreach v,PRJ_BUILD TARGET VERSION,"-X$(v)=$($(v))") \
 		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests

=== debian/changelog ===
libtemplates-parser (17.2-3) unstable; urgency=medium

  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872230.
  * Rebuild with xmlada 17.1.2017-5. -dev version is already new in testing.
  * Increase gprbuild verbosity in run-time test.
  * Build-Depend: python3 version of sphinx-doc.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 26 Sep 2017 13:48:44 +0200

libtemplates-parser (17.2-2) unstable; urgency=medium

  * Upload to unstable.
    The compiler change requires a SO change in runtime package name,
    but makes the Break/Replace with previous -dev unnecessary.
  * Prevent parallel sphinx runs to circumvent #869098.
  * Standards-Version: 4.0.1 (no changes).
  * Drop explicit rules targets confusing dh.
  * Use new texlive package name in Build-Depends.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 10 Aug 2017 09:44:27 +0200

libtemplates-parser (17.2-1) experimental; urgency=medium

  * Build with gnat-7. No ALI/SO package renaming in experimental.
  * New upstream release. Drop applied, refused or obsolete style patches.
    Split handle_build_flags.diff, creating rename-so-lib.diff.
    Cherry-pick ldflags-only-for-shared.diff from upstream VCS.
  * Replace file copies in d/rules with avoid-gprbuild-subdir-option.diff.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Set watch file to track github tags. Drop README.source.
  * Standards-Version: 4.0.0. Handle DEB_BUILD_OPTIONS=nodoc.
    Downgrade -doc to Suggests. Use https copyright format URL.
  * Debhelper 10.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 04 Jul 2017 15:14:53 +0200

libtemplates-parser (11.10-5) experimental; urgency=medium

  * Rebuild against XML/Ada GPL 2016. Increase ALI version in -dev package
    name, Break/Replace previous version per Ada policy.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 03:21:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,41 +4,43 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gnat, gnat-6,
+ gnat, gnat-7,
+# This line is parsed by d/rules.
 # gnat-v provides /usr/share/ada/debian_packaging-v.mk
- gprbuild (>= 2015-2),
-# gprbuild compatible with gnat-6
- dh-ada-library (>= 6.7),
-# dh-ada-library 6.7 knows that -dbg packages are obsolete,
+ gprbuild (>= 2017),
+# This version cleans auto.cgpr after the build.
+ dh-ada-library (>= 6.9),
+# dh-ada-library searching projects in new /usr/share/gpr.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-unicode6-dev,
- libxmlada-input-sources6-dev,
- libxmlada-sax6-dev,
- libxmlada-dom6-dev
+ libxmlada-unicode7-dev (>= 17.1.2017-5),
+ libxmlada-input7-dev (>= 17.1.2017-5),
+ libxmlada-sax7-dev (>= 17.1.2017-5),
+ libxmlada-dom7-dev (>= 17.1.2017-5)
 Build-Depends-Indep: texinfo,
- python-sphinx,
+ python3-sphinx,
+ latexmk,
+# Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
 # sphinx-doc requires iftex.sty:
- texlive-generic-extra,
+ texlive-plain-generic,
  texlive-latex-extra,
  texlive-latex-recommended
 # sphinx-common provides dh_sphinxdoc
  ,sphinx-common
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: http://libre.adacore.com
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
-Vcs-Mtn: www.ada-france.org org.debian.libtemplates-parser
+Vcs-Mtn: mtn://www.ada-france.org?org.debian.libtemplates-parser
 
-# Should start with "AdaCore_Major.AdaCore_Minor.".
-Package: libtemplates-parser11.10.1-dev
+Package: libtemplates-parser11.10.2-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
 # because the generated project does not need to import "xmlada.gpr"
 # because XMLada is only used by a body in templates-parser.
-Recommends: libtemplates-parser-doc
+Suggests: libtemplates-parser-doc
 Description: Ada library to parse files and replace variables
  The main goal is to ease the development of Web servers. In CGI
  (Common Gateway Interface) applications, you have to write  HTML pages in
@@ -50,8 +52,7 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-# Should start with "AdaCore_Major.AdaCore_Minor.".
-Package: libtemplates-parser11.10.1
+Package: libtemplates-parser17.2
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -70,6 +71,7 @@
 Package: libtemplates-parser-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Suggests: gnat
 Description: Ada library to parse files and replace variables (documentation)

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Templates_Parser in Debian.
# Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2017 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\(.*\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ \
    SOVERSION:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
BUILDER_OPTIONS := $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))

# Some of these options are stored into makefile.setup, but not all.
MAKE_OPTS := \
  VERSION=$(SOVERSION) \
  DEFAULT_LIBRARY_TYPE=relocatable \
  GPRBUILD="gprbuild $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
  PROCESSORS=$(BUILDER_JOBS) \
  DOC_FORMATS="html info latexpdf text"

######################################################################
%:
	dh $@ --with ada-library

# Avoid DebHelper default calls to usual Make targets.
.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test install clean)

override_dh_auto_build-arch:
	$(MAKE) $(MAKE_OPTS)

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
  # TODO: append SPHINXOPTS=-j$(BUILDER_JOBS) once #869098 is fixed.
	$(MAKE) build-doc $(MAKE_OPTS)
endif

override_dh_auto_clean:
	$(MAKE) clean $(MAKE_OPTS)
	rm -f regtests/*.pyc config/setup/foo.ads.std*
	rm -fr regtests/out docs/__pycache__

######################################################################
.PHONY: override_dh_ada_library-indep
.PHONY: override_dh_ada_library-arch
override_dh_ada_library-arch:
 # NOTE:
 # xmlada_*.gpr are not imported directly by upstream build project, so
 # - ada:Depends for the -dev package will not contain libxmlada*-dev.
 # - the generated project will not contain with "xmlada_*.gpr".
 # This is OK as long as XMLAda is only used in bodies and not in specs.
	dh_ada_library \
	  PRJ_BUILD=release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
	  VERSION=ignored TARGET=$(DEB_HOST_GNU_TYPE) templates_parser.gpr

# Mimic 'dh --with sphinxdoc', but without adding sphinx-common to
# Build-Depends for arch-only builds.
.PHONY: override_dh_installdocs-indep
override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libtemplates-parser-doc --exclude=examples/templates.tads
	dh_compress --remaining-packages

=== debian/watch ===
# This script detects new x.y releases, but not x.y.z branch updates.
# See README.source.

version=4
opts=\
  filenamemangle=s/.+\/(?:v|release)?(\d\S+)\.tar\.gz/templates-parser-$1\.tar\.gz/ \
https://github.com/AdaCore/templates-parser/tags \
.*/(?:v|release-)?(\d\S+)\.tar\.gz
